

jQuery(document).ready(function() {
	var ipadAppId = jQuery("input#ipadAppId").attr("value");
	var appTitle = jQuery("input#googlePlayAppName").attr("value");
	var appAuthor = jQuery("input#googlePlayAppAuthor").attr("value");
	var appPrice =  jQuery("input#googlePlayAppPrice").attr("value");
	var appIconURL = jQuery("input#journalAppIconUrl").attr("value") + jQuery("input#googlePlayAppIconFilename").attr("value");
	
	//For Android Devices
	var isAndroid = navigator.userAgent.indexOf("Android");
	var isAndroidDevice = isAndroid > -1;
	if(isAndroidDevice){
		 jQuery.smartbanner({
			    title: appTitle,
			    author: appAuthor,
			    price : appPrice,
			    icon : appIconURL
			  });
	}else{
		if(/iPad/.test(navigator.userAgent) && (ipadAppId != null && ipadAppId != "")){
			 appTitle = jQuery("input#ipadAppName").attr("value");
			 appAuthor = jQuery("input#ipadAppAuthor").attr("value");
			 appPrice = jQuery("input#ipadAppPrice").attr("value");
			 appIconURL = jQuery("input#journalAppIconUrl").attr("value") + jQuery("input#ipadAppIconFilename").attr("value");
		}else{
			 appTitle = jQuery("input#iphoneAppName").attr("value");
			 appAuthor = jQuery("input#iphoneAppAuthor").attr("value");
			 appPrice = jQuery("input#iphoneAppPrice").attr("value");
			 appIconURL = jQuery("input#journalAppIconUrl").attr("value") + jQuery("input#iphoneAppIconFilename").attr("value");
		}
		
		if(/(iPhone|iPod)/.test(navigator.userAgent)){
			 appTitle = jQuery("input#iphoneAppName").attr("value");
			 appAuthor = jQuery("input#iphoneAppAuthor").attr("value");
			 appPrice = jQuery("input#iphoneAppPrice").attr("value");
			 appIconURL = jQuery("input#journalAppIconUrl").attr("value") + jQuery("input#iphoneAppIconFilename").attr("value");
		}
		
		if ( !(/\*(iPad|iPhone|iPod)*OS [6-8]*AppleWebKit*Mobile./.test(navigator.userAgent)) ) {
			  jQuery.smartbanner({
			    title: appTitle,
			    author: appAuthor,
			    price : appPrice,
			    icon : appIconURL
			  });
		}
	}
	
});

